Bug 1564980 - [RFE] start to show the dialog and refresh with a message [NEEDINFO]
Summary: [RFE] start to show the dialog and refresh with a message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.11.0
Assignee: Harpreet Kataria
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 06:01 UTC by Prasad Mukhedkar
Modified: 2019-07-29 18:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 15:15:53 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
hkataria: needinfo? (pmukhedk)


Attachments (Terms of Use)

Description Prasad Mukhedkar 2018-04-09 06:01:20 UTC
Description of problem:

Currently, Service dialog loading happens with spinning wheel, wheel spins while there is something refreshing/processing in the backend, this is a good
design for a dialog with few dynamic fields but for dialog with a large 
number of dynamic fields, the loading time might go high. For example, a service dialog with 18 dynamic fields. it stays 15 seconds on more on a spinning wheel, this give the impression there is a problem.

If we put some message like "dialog loading" on the screen while it is 
being processed in the backend, that will give the impression to users
something is processing. not an impression of a problem.


Version-Release number of selected component (if applicable):
cfme 5.8 

How reproducible:
Always

Steps to Reproduce:
1. Create a service dialog with several dynamic fields.
2. Create a catalog using above service dialog.
3. Order the service

Actual results:

Service dialog loading happens with just spinning wheel, no 
any message displayed. 

Expected results:
Should display a message stating the dialog is loading/

Additional info:


Note You need to log in before you can comment on or make changes to this bug.